<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateGatewayEndpointAnalogAccessReq StructType
 * @subpackage Structs
 */
class UpdateGatewayEndpointAnalogAccessReq extends NameAndGUIDRequest
{
    /**
     * The endpoint
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var XGatewayEndpointAnalog
     */
    public $endpoint;
    /**
     * Constructor method for UpdateGatewayEndpointAnalogAccessReq
     * @uses UpdateGatewayEndpointAnalogAccessReq::setEndpoint()
     * @param XGatewayEndpointAnalog $endpoint
     */
    public function __construct(XGatewayEndpointAnalog $endpoint = null)
    {
        $this
            ->setEndpoint($endpoint);
    }
    /**
     * Get endpoint value
     * @return XGatewayEndpointAnalog|null
     */
    public function getEndpoint()
    {
        return $this->endpoint;
    }
    /**
     * Set endpoint value
     * @param XGatewayEndpointAnalog $endpoint
     * @return UpdateGatewayEndpointAnalogAccessReq
     */
    public function setEndpoint(XGatewayEndpointAnalog $endpoint = null)
    {
        $this->endpoint = $endpoint;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return UpdateGatewayEndpointAnalogAccessReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
